Mandrake Linux Security Advisory : graphviz (MDKSA-2005:188)

Low Nessus Plugin ID 20433


The remote Mandrake Linux host is missing one or more security updates.


Javier Fernández-Sanguino Peña discovered insecure temporary file creation in graphviz, a rich set of graph drawing tools, that can be exploited to overwrite arbitrary files by a local attacker.

The updated packages have been patched to address this issue.


Update the affected packages.

Plugin Details

Severity: Low

ID: 20433

File Name: mandrake_MDKSA-2005-188.nasl

Version: $Revision: 1.16 $

Type: local

Published: 2006/01/15

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 3.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:graphviz, p-cpe:/a:mandriva:linux:lib64graphviz7, p-cpe:/a:mandriva:linux:lib64graphviz7-devel, p-cpe:/a:mandriva:linux:lib64graphviztcl7, p-cpe:/a:mandriva:linux:lib64graphviztcl7-devel, p-cpe:/a:mandriva:linux:libgraphviz7, p-cpe:/a:mandriva:linux:libgraphviz7-devel, p-cpe:/a:mandriva:linux:libgraphviztcl7, p-cpe:/a:mandriva:linux:libgraphviztcl7-devel, cpe:/o:mandriva:linux:2006, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/10/20

Reference Information

CVE: CVE-2005-4803

MDKSA: 2005:188